Cleaned up white space in package-build patch

This commit is contained in:
Andrew Overholt 2008-12-19 17:47:47 +00:00
parent 234edf028e
commit a4bc15876d

View File

@ -65,10 +65,10 @@ diff -N templates/package-build/prepare-build-dir.sh
+ fi
+ fi
+
+ if [ "x$ERROR" != "xyes" ]; then
+ if [[ $TESTING != true || `echo $PROJECTNAME | grep "org.eclipse"` ]]; then
+ echo " making symlink: $BUILDDIR/features/$PROJECTNAME -> $PROJECTDIR"
+ ln -sf "$PROJECTDIR" $BUILDDIR/features/"$PROJECTNAME"
+ if [ "x$ERROR" != "xyes" ]; then
+ if [[ $TESTING != true || `echo $PROJECTNAME | grep "org.eclipse"` ]]; then
+ echo " making symlink: $BUILDDIR/features/$PROJECTNAME -> $PROJECTDIR"
+ ln -sf "$PROJECTDIR" $BUILDDIR/features/"$PROJECTNAME"
+ fi
+ fi
+ fi
@ -99,14 +99,14 @@ diff -N templates/package-build/prepare-build-dir.sh
+ fi
+ fi
+
+ fi
+ if [ "x$ERROR" != "xyes" ]; then
+ if [[ $TESTING != true || `echo $PROJECTNAME | grep "org.eclipse"` ]]; then
+ echo " making symlink: $BUILDDIR/plugins/$PROJECTNAME -> $dir"
+ ln -sf "$dir" $BUILDDIR/plugins/"$PROJECTNAME"
+ fi
+ fi;
+
+ if [ "x$ERROR" != "xyes" ]; then
+ if [[ $TESTING != true || `echo $PROJECTNAME | grep "org.eclipse"` ]]; then
+ echo " making symlink: $BUILDDIR/plugins/$PROJECTNAME -> $dir"
+ ln -sf $dir $BUILDDIR/plugins/"$PROJECTNAME"
+ fi
+ fi;
+ fi
+
+done
+
@ -144,8 +144,8 @@ diff -N templates/package-build/customTargets.xml
+ <fail unless="id" message="Please set the ${id} property to the feature, plugin or fragment id of the plugin you are building." />
+ <fail unless="sourceDirectory" message="Please set the ${sourceDirectory} property to the directory that has the source plugins." />
+
+ <!-- we need to do this because you can't expand variables in target names -->
+ <copy file="${builder}/customTargets-assemble-target.xml" tofile="${buildDirectory}/customTargets-${id}-assemble-target.xml" />
+ <!-- we need to do this because you can't expand variables in target names -->
+ <copy file="${builder}/customTargets-assemble-target.xml" tofile="${buildDirectory}/customTargets-${id}-assemble-target.xml" />
+ <replace file="${buildDirectory}/customTargets-${id}-assemble-target.xml" token="@id@" value="${id}" />
+ <import file="${buildDirectory}/customTargets-${id}-assemble-target.xml" />
+
@ -160,7 +160,7 @@ diff -N templates/package-build/customTargets.xml
+ </ant>
+ </target>
+
+
+
+ <!-- ===================================================================== -->
+ <!-- Check out map files from correct repository -->
+ <!-- ===================================================================== -->
@ -203,8 +203,8 @@ diff -N templates/package-build/customTargets.xml
+ <!-- Steps to do before generating the build scripts. -->
+ <!-- ===================================================================== -->
+ <target name="preGenerate">
+ <!-- Eclipse expects the feature projects to be in the 'features' directory and
+ plugin projects to be in the 'plugins' directory. The build infrastructure
+ <!-- Eclipse expects the feature projects to be in the 'features' directory and
+ plugin projects to be in the 'plugins' directory. The build infrastructure
+ normally arranges the projects during the fetch stage. Since we aren't doing
+ the fetch stage, we have to manually arrange the files -->
+ <exec dir="${builder}" executable="/bin/sh">
@ -212,7 +212,7 @@ diff -N templates/package-build/customTargets.xml
+ </exec>
+ <exec dir="${builder}" executable="/bin/sh">
+ <arg line="symlink-deps.sh ${buildDirectory} ${orbitDepsDir}" />
+ </exec>
+ </exec>
+
+ </target>
+
@ -313,7 +313,7 @@ diff -N templates/package-build/symlink-deps.sh
@@ -0,0 +1,21 @@
+#!/bin/sh -x
+
+if [ $# -ne 2 ]; then
+if [ $# -ne 2 ]; then
+ echo "usage: $0 <path to build dir> <dependencies>"
+ exit 1
+fi